function [cf_, gof_] = adcmfit_2(tm,ADCM,ADC)
 tm = tm(:);
 ADCM = ADCM(:);



% --- Create fit ---                                        %on if robust fitting
fo_ = fitoptions('method','NonlinearLeastSquares','Robust','On','Lower',[0 0],'Upper',[15 1],'DiffMinChange',1.0000000000000000623e-09,'TolFun',9.9999999999999995475e-08,'TolX',9.9999999999999995475e-08);
ok_ = isfinite(tm) & isfinite(ADCM);
if ~all( ok_ )
    warning( 'GenerateMFile:IgnoringNansAndInfs',...
        'Ignoring NaNs and Infs in data.' );
end
st_ = [0.80000000000000000416 0.50000000000000004441 ];
set(fo_,'Startpoint',st_);
ft_ = fittype([num2str(ADC) '*(1-sigma*exp(-AXR*tm))'],...
    'dependent',{'ADCM'},'independent',{'tm'},...
    'coefficients',{'AXR', 'sigma'});

% Fit this model using new data
[cf_, gof_] = fit(tm(ok_),ADCM(ok_),ft_,fo_);

